@charset "utf-8";

.slideshow,
.slideshow * {
	box-sizing: content-box;
}

.slideshow {
	padding-top: 460px;
}
.slideshow > div > label > div > div {
	height: 400px;
}
@media screen and ( max-width: 830px ) {
	.slideshow {
		padding-top: calc( ( 100vw - 120px ) / 710 * 400 + 60px );
	}
	.slideshow > div > label > div > div {
		height: calc( ( 100vw - 120px ) / 710 * 400 );
	}
}
@media screen and ( max-width: 550px ) {
	.slideshow {
		padding-top: calc( ( 100vw - 80px ) / 710 * 400 + 40px );
	}
	.slideshow > div > label > div > div {
		height: calc( ( 100vw - 80px ) / 710 * 400 );
	}
}


.slideshow {
	position: relative;
	margin: 0 auto;
	background: #eeeeee;
	padding-left: 40px;
	padding-right: 40px;
	padding-bottom: 40px;
	border-radius: 20px;
}
@media screen and ( max-width: 550px ) {
	.slideshow {
		padding-left: 20px;
		padding-right: 20px;
		padding-bottom: 20px;
	}
}

.slideshow > div > label > div {
	position: absolute;
	left: 40px;
	top: 40px;
	width: calc( 100% - 80px );
	display: flex;
	justify-content: center;
	align-items: center;
	transition: opacity 0.5s;
}
@media screen and ( max-width: 550px ) {
	.slideshow > div > label > div {
		left: 20px;
		top: 20px;
		width: calc( 100% - 40px );
	}
}

.slideshow > div > label > div > div > img {
	width: auto;
	height: auto;
	max-width: 100%;
	max-height: 100%;
}

.slideshow input[name='thumbnail'] {
	display: none;
}

/* サムネイル */
.slideshow > div {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin: 0 -10px;
}

.slideshow > div > label {
	width: calc( 16.6% - 10px );
	margin: 5px;
}
@media screen and ( max-width: 550px ) {
	.slideshow > div {
		justify-content: flex-start;
	}
	.slideshow > div > label {
		width: calc( 33.3% - 10px );
	}
	.slideshow.thumb4 > div > label {
		width: calc( 50% - 10px );
	}
}

.slideshow > div > label > span {
	border: 2px solid #ffffff;
	display: block;
	cursor: pointer;
	transition: opacity 0.5s ease;
	opacity: 0.6;
	border-radius: 3px;
}

.slideshow > div > label:hover > span {
	opacity: 0.9;
}

.slideshow > div > label > span.thumbnail {
	display: block;
	height: 0;
	width: 100%;
	padding: 56.25% 0 0;
	border-radius: 2px;
	background-size: cover !important;
	background-position: center;
	box-sizing: border-box;
}

.slideshow > div > label > input[name='thumbnail']:checked + span {
	border: 2px solid #FF7043;
	opacity: 1;
}


.slideshow > div > label > input[name='thumbnail'] ~ div {
	opacity: 0;
}

.slideshow > div > label > input[name='thumbnail']:checked ~ div {
	opacity: 1;
}